explain_strtol_or_die(3)

NAME
explain_strtol_or_die - convert a string to a long integer and report errors

SYNOPSIS
#include <libexplain/strtol.h>

long explain_strtol_or_die(const char *nptr, char **endptr, int base);
long explain_strtol_on_error(const char *nptr, char **endptr, int base))

DESCRIPTION
The explain_strtol_or_die function is used to call the strtol(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strtol(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_strtol_on_error function is used to call the strtol(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strtol(3) function, but still returns to the caller.

nptr
    The nptr, exactly as to be passed to the strtol(3) system call.

endptr
    The endptr, exactly as to be passed to the strtol(3) system call.

base
    The base, exactly as to be passed to the strtol(3) system call.

RETURN VALUE
The explain_strtol_or_die function only returns on success, see strtol(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_strtol_on_error function always returns the value return by the wrapped strtol(3) system call.

EXAMPLE
The explain_strtol_or_die function is intended to be used in a fashion similar to the following example:
    long result = explain_strtol_or_die(nptr, endptr, base);

SEE ALSO

strtol(3)
    convert a string to a long integer

explain_strtol(3)
    explain strtol(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller